Skip to content
Start here

Set spending limit

client.aiGateway.billing.spendingLimit.create(SpendingLimitCreateParams { account_id, amount, duration, strategy } params, RequestOptionsoptions?): SpendingLimitCreateResponse
POST/accounts/{account_id}/ai-gateway/billing/spending-limit

Configure a spending limit with amount, strategy, and duration.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
params: SpendingLimitCreateParams { account_id, amount, duration, strategy }
account_id: string

Path param: Cloudflare account ID.

amount: number

Body param: Spending limit amount in cents (min 100).

minimum100
duration: "daily" | "weekly" | "monthly"

Body param: Spending limit duration.

One of the following:
"daily"
"weekly"
"monthly"
strategy: "fixed" | "sliding"

Body param: Spending limit strategy.

One of the following:
"fixed"
"sliding"
ReturnsExpand Collapse
SpendingLimitCreateResponse = unknown

Set spending limit

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const spendingLimit = await client.aiGateway.billing.spendingLimit.create({
  account_id: 'account_id',
  amount: 10000,
  duration: 'monthly',
  strategy: 'fixed',
});

console.log(spendingLimit);
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true,
  "result_info": {
    "has_more": true,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {},
  "success": true,
  "result_info": {
    "has_more": true,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  }
}